//
//  Bardecode.h
//  iBardecode
//
//  Copyright 2010 Softek Software Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AudioToolbox/AudioToolbox.h>

#include "../../barcode.h"

@interface Bardecode : NSObject <UINavigationControllerDelegate, UIImagePickerControllerDelegate> {
	float ErrorMargin ;
	NSString *BarcodeValue ;
	NSString *BarcodeType ;
	UIViewController *Delegate ;
	UIImagePickerController * picker;
	NSTimer *scanTimer;
	NSString *LicenseKey;
	int count ;
	UIView *overlayView ;
}

- (int) ScanBarcodeFromBitmap:(CGImageRef) inImage;
- (NSString*) BarcodeValue ;
- (NSString*) BarcodeType ;
- (UIViewController*) Delegate ;
- (void) setErrorMargin: (float) input ;
- (void) setDelegate: (UIViewController *)input;
- (void) ScanBarcodeFromCameraRoll;
- (void) ScanBarcodeFromViewFinder;
- (void) ScanBarcodeFromCamera;
- (void) sendNotification: (NSString *)name;
- (void) cancelTimer;
- (void) onTimer;
- (void) setLicenseKey: (NSString *)input;
- (void) setBarcodeValue: (NSString *) input;
- (void) setBarcodeType: (NSString *) input;
- (void) emptyResults;


@end

@interface NSObject(NSWindowNotifications)
- (void)BardecodeDidFinish:(NSNotification*)notification;
@end
